<?php
	$target='pass1';
	include("funciones/funciones_backup.php");   
	include("conexion/conexion.php");
	include("Menu/menu_inicio.php");  
	include("Usuarios/usuarios.php"); 
	$nombrepagina = "CREACION DE USUARIOS";
	encabezado($target);	
	$user=$_SESSION['validar'];
	$filas=1;   
	if($filas == 1){ 
		class llamado{
			var $menuObj;
			function validar1($id_user,$id_sucursal){
				$this->menuObj=new menu_inicio();
				$this->menuObj->menu2($id_user,$id_sucursal);
			}
	 	}
		$llamadoObj=new llamado();
		$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
		entrada($user,$_GET['id_user'],$_GET['suc']);
		echo"</td>";
		echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		mostrar_cabeza_trabajo($nombrepagina);	 
?><CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Modificacion de Password ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">Nuevo Password:</td>
<td width="150" class="miTable_td">
<input type="password" name="pass1" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">Confirmar Pasword:</td>
<td width="150" class="miTable_td">
<input type="password" name="pass2" class="inputbox" size="25">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Actualizar" value="Actualizar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
	 <?
	 if(!isset($Actualizar)){

     }else{
		class crearUsuario{
			var $crearObj;
			var $conexionObj;
			var $estado;
			function setCrear($pass,$pass2){
				$id_user=$_GET['id_user'];
				$suc=$_GET['suc'];
				if($pass!=$pass2){
					$msgBOX = "Las Contrase�as son Distintas.";
					echo "<script>
					setTimeout(location.href='modificar_password.php?id_user=$id_user&suc=$suc', 100);
					alert('$msgBOX');
					</script>";
				}else{
					$this->crearObj=new usuarios();
					$this->crearObj->setPassword($pass);
				}
			}
			function getCrear(){
				return $this->crearObj;
			}
			function validar(){
				$id_user=$_GET['id_user'];
				$this->conexionObj= new conexion();
				$this->conexionObj->conectarse();
				$rst_validar=$this->conexionObj->consultar("SELECT * FROM usuarios WHERE id_usuario ='".$id_user."'");
				if(mysql_num_rows($rst_validar)>=1){
					$pass=$this->crearObj->getPassword();
					$this->insertarDatos($id_user,$pass);
				}else{
					$msgBOX2 = "Usuario No Existe en Sistema.";
					echo "<script>
	             	alert('$msgBOX2');	             	
	  		  	    </script>";
				}
			}
			function insertarDatos($id_user,$pass){
				$rst_insertar=$this->conexionObj->modificar("UPDATE usuarios SET password = '".$pass."' WHERE id_usuario = '".$id_user."'");
				$affected_rows=mysql_affected_rows();
				if($affected_rows>=1){
			    	$msgBOX2 = "La Contrase�a Se Modifico Exitosamente.";
	  		    	echo "<script>
	             	alert('$msgBOX2');
	             	window.location='index.php';
	  		  	    </script>";	  		    	
				}else{
					$msgBOX2 = "La Contrase�a No Pudo Ser Cambiada.";
	  		    	echo "<script>
	             	alert('$msgBOX2');
	  		  	    </script>";
				}
			}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearUsuarioObj=new crearUsuario();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$crearUsuarioObj->setCrear($_POST['pass1'],$_POST['pass2']);
// LAMANDO EL METODO DE NEGOCIO
$crearUsuarioObj->validar();
}
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?><td><center>
<? pie_de_pagina();?>
</center></td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>